Bug 169407 - devel/cil: Update to version 1.5.0
Summary: devel/cil: Update to version 1.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Armin Pirkovitsch
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-25 19:10 UTC by tkato432
Modified: 2012-07-19 18:46 UTC (History)
0 users

See Also:


Attachments
file.diff (13.98 KB, patch)
2012-06-25 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-06-25 19:10:07 UTC
- Update to version 1.5.0

Removee file:
files/patch-bin_teetwo.sh
pkg-plist
Comment 1 Edwin Groothuis freebsd_committer 2012-06-25 19:10:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Armin Pirkovitsch freebsd_committer 2012-07-17 08:57:01 UTC
Responsible Changed
From-To: miwi->sperber

miwi asked me to take it.
Comment 3 dfilter service freebsd_committer 2012-07-19 18:25:46 UTC
Author: sperber
Date: Thu Jul 19 17:25:31 2012
New Revision: 301163
URL: http://svn.freebsd.org/changeset/ports/301163

Log:
  - Update to version 1.5.0
  - Add WWW: line
  - Switch to optionsng
  - Add LICENSE
  
  PR:           ports/169407
  Submitted by: KATO Tsuguru <tkato432 _at_ yahoo.com>
  Approved by:  beat (mentor)

Deleted:
  head/devel/cil/files/
  head/devel/cil/pkg-plist
Modified:
  head/devel/cil/Makefile   (contents, props changed)
  head/devel/cil/distinfo   (contents, props changed)
  head/devel/cil/pkg-descr   (contents, props changed)

Modified: head/devel/cil/Makefile
==============================================================================
--- head/devel/cil/Makefile	Thu Jul 19 17:24:58 2012	(r301162)
+++ head/devel/cil/Makefile	Thu Jul 19 17:25:31 2012	(r301163)
@@ -6,48 +6,78 @@
 #
 
 PORTNAME=	cil
-PORTVERSION=	1.4.0
+PORTVERSION=	1.5.0
 CATEGORIES=	devel lang
-MASTER_SITES=	SF/${PORTNAME}/${PORTNAME} \
-		http://hal.cs.berkeley.edu/cil/distrib/
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Infrastructure for C Program Analysis and Transformation
 
+LICENSE=	BSD
+LICENSE_FILE=	${WRKSRC}/LICENSE
+
 BUILD_DEPENDS=	${LOCALBASE}/bin/ocamlopt:${PORTSDIR}/lang/ocaml
 
+OPTIONS_DEFINE=	DOCS
+
 CONFLICTS=	ccured-[0-9]*
 
 ONLY_FOR_ARCHS=	i386 amd64
 USE_PERL5=	yes
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
+MAKE_JOBS_UNSAFE=yes
+
+PORTDOCS=	*
+PLIST_FILES=	${BINFILES:S,^,bin/,} ${LEXECFILES:S,^,libexec/cil/,} \
+		%%SITE_PERL%%/CilConfig.pm ${LIBFILES:S,^,%%SITE_PERL%%/CIL/,}
+PLIST_DIRS=	%%SITE_PERL%%/CIL libexec/cil
 
 BINFILES=	cilly patcher teetwo
 LIBFILES=	Cilly.pm KeptFile.pm OutputFile.pm TempFile.pm
+LEXECFILES=	cilly.asm.exe cilly.byte.exe
+
+.include <bsd.port.pre.mk>
 
 post-patch:
-	@${REINPLACE_CMD} -e 's:@CILHOME@/lib:${SITE_PERL}/CIL:g; s:\@CILHOME\@:${PREFIX}:g' ${WRKSRC}/bin/CilConfig.pm.in
-	@${REINPLACE_CMD} -e 's|$$::cilhome|${PREFIX}|g; s|obj/$$::archos|libexec/cil|g' ${WRKSRC}/bin/cilly
-	@${REINPLACE_CMD} -e 's|^use Cilly;|use CIL::Cilly|' ${WRKSRC}/bin/cilly
-	@${REINPLACE_CMD} -e 's|^use KeptFile;|use CIL::KeptFile;|; s|^use OutputFile;|use CIL::OutputFile;|; s|^use TempFile;|use CIL::TempFile;|' ${WRKSRC}/lib/Cilly.pm.in
-	@${REINPLACE_CMD} -e 's|^use OutputFile;|use CIL::OutputFile;|' ${WRKSRC}/lib/KeptFile.pm
-	@${REINPLACE_CMD} -e 's|^use OutputFile;|use CIL::OutputFile;|' ${WRKSRC}/lib/TempFile.pm
+	@${REINPLACE_CMD} -e \
+		's|@CILHOME@/lib|${SITE_PERL}/CIL|g ; \
+		 s|\@CILHOME\@|${PREFIX}|g' ${WRKSRC}/bin/CilConfig.pm.in
+	@${REINPLACE_CMD} -e \
+		'/^#!/s|/.*|${PERL}| ; \
+		 s|$$::cilhome|${PREFIX}|g ; \
+		 s|obj/$$::archos|libexec/cil|g ; \
+		 s|^use Cilly;|use CIL::Cilly|' ${WRKSRC}/bin/cilly
+	@${REINPLACE_CMD} -e \
+		'/^#!/s|/.*|${PERL}|' ${WRKSRC}/bin/patcher
+	@${REINPLACE_CMD} -e \
+		'/^#!/s|/.*|/bin/sh|' ${WRKSRC}/bin/teetwo
+	@${REINPLACE_CMD} -e \
+		's|^use KeptFile;|use CIL::KeptFile;| ; \
+		 s|^use OutputFile;|use CIL::OutputFile;| ; \
+		 s|^use TempFile;|use CIL::TempFile;|' ${WRKSRC}/lib/Cilly.pm.in
+	@${REINPLACE_CMD} -e \
+		's|^use OutputFile;|use CIL::OutputFile;|' ${WRKSRC}/lib/KeptFile.pm
+	@${REINPLACE_CMD} -e \
+		's|^use OutputFile;|use CIL::OutputFile;|' ${WRKSRC}/lib/TempFile.pm
 
 do-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-	cd ${WRKSRC}/doc && ${FIND} . -print | \
-		${CPIO} -pdu -R ${BINOWN}:${BINGRP} --quiet ${DOCSDIR}
-.endif
 .for f in ${BINFILES}
-	${INSTALL_SCRIPT} ${WRKSRC}/bin/${f} ${PREFIX}/bin/
+	${INSTALL_SCRIPT} ${WRKSRC}/bin/${f} ${PREFIX}/bin
 .endfor
-	${MKDIR} ${SITE_PERL}/CIL
+	@${MKDIR} ${SITE_PERL}
+	${INSTALL_DATA} ${WRKSRC}/bin/CilConfig.pm ${SITE_PERL}
+	@${MKDIR} ${SITE_PERL}/CIL
 .for f in ${LIBFILES}
-	 ${INSTALL_DATA} ${WRKSRC}/lib/${f} ${SITE_PERL}/CIL/
+	${INSTALL_DATA} ${WRKSRC}/lib/${f} ${SITE_PERL}/CIL
+.endfor
+	@${MKDIR} ${PREFIX}/libexec/cil
+.for f in ${LEXECFILES}
+	${INSTALL_PROGRAM} ${WRKSRC}/obj/${ARCH}_${OPSYS:U}/${f} ${PREFIX}/libexec/cil
 .endfor
-	${INSTALL_DATA} ${WRKSRC}/bin/CilConfig.pm ${SITE_PERL}/
-	${MKDIR} ${PREFIX}/libexec/cil
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	@(cd ${WRKSRC}/doc && ${COPYTREE_SHARE} . ${DOCSDIR})
+.endif
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>

Modified: head/devel/cil/distinfo
==============================================================================
--- head/devel/cil/distinfo	Thu Jul 19 17:24:58 2012	(r301162)
+++ head/devel/cil/distinfo	Thu Jul 19 17:25:31 2012	(r301163)
@@ -1,2 +1,2 @@
-SHA256 (cil-1.4.0.tar.gz) = c8524f05ca0409a3bc1a498fd4fd091d423f9c1c378fa99ec39d95259a7bd49a
-SIZE (cil-1.4.0.tar.gz) = 1790014
+SHA256 (cil-1.5.0.tar.gz) = e0da50bd1bfed48f197a5a69a58078340e6b1b1f54f9a1937b602532db85ebbf
+SIZE (cil-1.5.0.tar.gz) = 1792051

Modified: head/devel/cil/pkg-descr
==============================================================================
--- head/devel/cil/pkg-descr	Thu Jul 19 17:24:58 2012	(r301162)
+++ head/devel/cil/pkg-descr	Thu Jul 19 17:25:31 2012	(r301163)
@@ -8,3 +8,5 @@ CIL is both lower-level than abstract-sy
 ambiguous constructs and removing redundant ones, and also higher-level
 than typical intermediate languages designed for compilation, by
 maintaining types and a close relationship with the source program. 
+
+WWW: http://kerneis.github.com/cil/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Armin Pirkovitsch freebsd_committer 2012-07-19 18:46:10 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!